Name:		libogg
Version:	1.3.5
Release:	2
Summary:	Ogg Bitstream Library.
License:	BSD
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source:		http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Epoch:          2
BuildRequires:  automake gcc
Requires:	glibc

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package devel
Summary: 	Ogg Bitstream Library Development
Requires:       libogg = %{epoch}:%{version}-%{release} automake pkgconf

%description devel
The libogg-devel package contains the header files, static libraries
and documentation needed to develop applications with libogg.

%package_help

%prep
%setup -q -n %{name}-%{version}

%build
sed -i 's/-O20/$RPM_OPT_FLAGS/g' configure
sed -i 's/-ffast-math/ /g' configure
%configure
%make_build 

%install
%make_install

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README.md
%{_libdir}/libogg.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ogg
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_includedir}/ogg/config_types.h
%{_libdir}/libogg.a
%{_libdir}/libogg.la
%{_libdir}/libogg.so
%{_libdir}/pkgconfig/ogg.pc
%{_datadir}/aclocal/ogg.m4

%files help
%defattr(-,root,root)
%doc %{_docdir}/
%exclude %{_docdir}/%{name}/{AUTHORS,CHANGES,COPYING,README.md}

%changelog
* Tue Oct 25 2022 Liu Yuntao <liuyuntao10@huawei.com> - 1.3.5-2
- rebuild package

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 1.3.5-1
- update libogg to 1.3.5

* Fri Sep 4 2020 shixuantong <shixuantong@huawei.com> - 1.3.4-3
- update Source0

* Thu Jul 23 2020 jinzhimin <jinzhimin2@huawei.com> - 1.3.4-2
- delete old tar file

* Mon May 11 2020 chenmaodong <chenmaodong@huawei.com> - 1.3.4-1
- update libogg to 1.3.4

* Thu Sep 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.3-3
- Fix bad requires

* Tue Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.3-2
- Package init

* Thu Nov 08 2007 Conrad Parker <conrad@metadecks.org>
- update doc dir (reported by thosmos on #vorbis)

* Thu Jun 10 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- autogenerate from configure
- fix download location
- remove Prefix
- own include dir
- move ldconfig runs to -p scripts
- change Release tag to include xiph

* Tue Oct 07 2003 Warren Dukes <shank@xiph.org>
- update for 1.1 release

* Sun Jul 14 2002 Thomas Vander Stichele <thomas@apestaart.org>
- update for 1.0 release
- conform Group to Red Hat's idea of it
- take out case where configure doesn't exist; a tarball should have it

* Tue Dec 18 2001 Jack Moffitt <jack@xiph.org>
- Update for RC3 release

* Sun Oct 07 2001 Jack Moffitt <jack@xiph.org>
- add support for configurable prefixes

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created

